Skip to main content
POST
/
v1
/
flows
/
{flowId}
/
templates
Publish Flow Template
curl --request POST \
  --url https://api.soharhealth.com/v1/flows/{flowId}/templates \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/x-yaml' \
  --data '
"input:\n  type: object\n  properties: {}\nstartsAt: final\nstates:\n  final:\n    end: true\noutput:\n  type: object\n  properties: {}\n"
'
import requests

url = "https://api.soharhealth.com/v1/flows/{flowId}/templates"

payload = "input:
  type: object
  properties: {}
startsAt: final
states:
  final:
    end: true
output:
  type: object
  properties: {}
"
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/x-yaml"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/x-yaml'},
  body: JSON.stringify('input:\n  type: object\n  properties: {}\nstartsAt: final\nstates:\n  final:\n    end: true\noutput:\n  type: object\n  properties: {}\n')
};

fetch('https://api.soharhealth.com/v1/flows/{flowId}/templates', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "flowId": "33093874-1e3d-4ea9-b988-8cc64e5a4079",
  "version": 1
}
{
  "error": "invalid_request_error",
  "param": "template"
}
{
  "error": "invalid_request_error"
}
{
  "error": "invalid_request_error"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

flowId
string
required

The Flow ID.

Example:

"33093874-1e3d-4ea9-b988-8cc64e5a4079"

Body

application/x-yaml

The YAML template.

Response

Published Flow template version

flowId
string
required

The Flow ID.

Example:

"33093874-1e3d-4ea9-b988-8cc64e5a4079"

version
integer
required

The published Flow template version.

Example:

1